#ifndef	   EVOLUTIONAL_REPOSITORY_H_INCLUDED
#define	   EVOLUTIONAL_REPOSITORY_H_INCLUDED

// Author:		H. Shimora
// Created:		Sep 27 2002
// Version:		0.00

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.00  Sep 27 2002    base version.
//
//

#include  <string>

class  Evolutional_Repository
{
public:
	virtual	~Evolutional_Repository() {}

	virtual	void	get_value( const std::string &  name ,
				   std::string *  value ,
				   std::string *  id ) = 0;

	virtual	void	evaluate( const std::string &  name ,
				  const std::string &  id ,
				  double  evaluation_value ) = 0;

	virtual	void	evaluation_cancel( const std::string &  name ,
					   const std::string &  id ) = 0;
};


#endif	/* EVOLUTIONAL_REPOSITORY_H_INCLUDED */
