#ifndef	   DEBUGSTREAM_H_INCLUDED
#define	   DEBUGSTREAM_H_INCLUDED

// Author:		H. Shimora
// Created:		Mar 11 2000
// Last-Modified:	Mar 11 2000
// Version:		0.00

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.00  Mar 11 2000    test version.
//
//

#ifdef HAVE_CONFIG_H
# include  "config.h"
#endif

#include  "ostream_compat_wrapper.h"
#include  "nullbuf.h"

namespace Debug_Stream {

class  debugstream : public std::ostream
{
protected:
	nullbuf		null_buffer;

public:
	debugstream() : std::ostream( static_cast<std::streambuf *>(0) )
			{ this -> std::ios::init( &null_buffer ); }
	virtual	~debugstream() {}

	virtual	void	inhibit( bool  flag = true );

	virtual	int	printf( const char *  fmt , ... );
};

extern	debugstream	dbg;

} // end of namespace Debug_Stream


#endif	/* DEBUGSTREAM_H_INCLUDED */
