#include  "debug_client_connection.h"

Debug_Client_Connection::Debug_Client_Connection( const std::string &  host ,
						  port_number_t  port ,
						  long  max_response )
	: Communication_Cannel<UDP_Connection>
			  ( host ,
			    port ,
			    false , // without debug output
			    Debug_Server_Connection::MAX_MESSAGE_LENGTH ,
			    max_response )
{
}

Debug_Client_Connection::~Debug_Client_Connection()
{
}

int    Debug_Client_Connection::fd() const
{
	return( this -> con.fd() );
}
