#ifndef	   DEBUG_SERVER_CONNECTION_H_INCLUDED
#define	   DEBUG_SERVER_CONNECTION_H_INCLUDED

// Author:		H. Shimora
// Last-Modified:	Feb  5 2001
// Created:		May 25 2000
// Version:		0.20

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.10  May 25 2000    base version.
//
// version 0.20  Feb  5 2001	changed to Communication_Cannel base.
//
//

#include  "communication_cannel.h"
#include  "udp_connection.h"
#include  "ip_address.h"

class  Debug_Server_Connection
	: public Communication_Cannel<UDP_Connection>
{
public:
	static	const	size_t	MAX_MESSAGE_LENGTH = 65536;

	static	const	long	DEFAULT_MAX_RESPONSE_TIME
				 = Communication_Cannel<UDP_Connection>::
						  DEFAULT_MAX_RESPONCE_TIME;

	static	const	port_number_t	DEFAULT_PORT        = 6032;
	static	const	port_number_t	DEFAULT_PORT_OFFSET =   32;

public:
		 Debug_Server_Connection( port_number_t  port ,
					  long  max_response ,
					  bool  close_on_exec );

	virtual	~Debug_Server_Connection();
};


#endif	/* DEBUG_SERVER_CONNECTION_H_INCLUDED */
