#ifndef	   ABSTRUCT_UPDATOR_H_INCLUDED
#define	   ABSTRUCT_UPDATOR_H_INCLUDED

// Author:		H. Shimora
// Created:		Jun 16 2001
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  Jun 16 2001    base version.
//
//

#include  "ref_count_ptr.h"

class  Abstruct_Updator
{
public:
	class  Callback
	{
	public:
			 Callback() {}
		virtual	~Callback() {}

		virtual	int	operator() () = 0;
	};

public:
		 Abstruct_Updator() {}
	virtual	~Abstruct_Updator() {}

	virtual	void	set_interval_callback
				( const ref_count_ptr<Callback> &  ,
				  long /* msec */ ) {}

	virtual	void	set_fd_callback
				( const ref_count_ptr<Callback> &  ,
				  int /* fd */ ) {}

	virtual	void	stop() {}
};

class  Abstruct_Updator_Factory
{
public:
	virtual	~Abstruct_Updator_Factory() {}
	virtual	ref_count_ptr<Abstruct_Updator>		product() const = 0;
};


#endif	/* ABSTRUCT_UPDATOR_H_INCLUDED */
