#ifndef	   FILE_READER_H_INCLUDED
#define	   FILE_READER_H_INCLUDED

// Author:		H. Shimora
// Created:		Apr  8 2002
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  Apr  8 2002    base version.
//
//

#include  "abstruct_updator.h"
#include  "ref_count_ptr.h"
#include  "istream_compat_wrapper.h"
#include  <string>

class  File_Reader
{
private:
	ref_count_ptr<std::istream>		file;
	int					fd;
	const ref_count_ptr<Abstruct_Updator>	updator;
	bool					valid_flag;

public:
		File_Reader
		( const ref_count_ptr<Abstruct_Updator> &  updator ,
		  const ref_count_ptr<Abstruct_Updator::Callback> &  callback ,
		  const std::string &  file_name );

	virtual	~File_Reader();

	virtual	std::istream &	input_stream() const;

	virtual	bool		valid() const;

	virtual	bool		eof() const;
};


#endif	/* FILE_READER_H_INCLUDED */
