#ifndef	   LOG_SUPPLYER_H_INCLUDED
#define	   LOG_SUPPLYER_H_INCLUDED

// Author:		H. Shimora
// Created:		May 18 2001
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  May 18 2001    base version.
//
//

#include  "monitor_view_supplyer.h"
#include  "sserver_monitor_log_format.h"
#include  "file_reader.h"
#include  "abstruct_updator.h"
#include  "ref_count_ptr.h"
#include  <string>

class  Log_Supplyer : public Monitor_View_Supplyer
{
protected:
	File_Reader		file;

	int			version;

	// for log version 3
	char					v3_play_mode;
	SServer_Monitor_Log_Format::team_t	v3_team[2];

public:
		 Log_Supplyer
		     ( const ref_count_ptr<Abstruct_Updator> &  updator ,
		       const ref_count_ptr<Abstruct_Updator::Callback> &  c ,
		       const std::string &  log_file_name );

	virtual	~Log_Supplyer();

	virtual	ref_count_ptr<const Monitor_View_Data>
		get( bool *  have_s_param ,
		     SServer_Monitor_Log_Format::server_param_t *  s_param );

	virtual	bool	responsive() const;
};


#endif	/* LOG_SUPPLYER_H_INCLUDED */
