#ifndef	   TEAM_CONFIG_H_INCLUDED
#define	   TEAM_CONFIG_H_INCLUDED

// Author:		H. Shimora
// Created:		Jun 14 2001
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  Jun 14 2001    base version.
//
//

#include  "gdk_gc_wrapper.h"
#include  <vector>
#include  <string>
#include  <iostream>

struct  Team_Config
{
public:
	struct  Player_Draw_Config
	{
		bool		have_name;
		std::string	name;

		bool		have_color;
		std::string	color;
	};

	std::vector<Player_Draw_Config>		player;
	bool					have_player_config;

public:
		 Team_Config();
	virtual	~Team_Config();

	virtual	void	clear();

	virtual	void	read_config( std::istream & );
};


#endif	/* TEAM_CONFIG_H_INCLUDED */
