#include  "debugstream.h"
#include  <iostream>
#include  <cstdio>
#include  <cstdarg>

using namespace std;

namespace Debug_Stream {

// external
debugstream	dbg;

void   debugstream::inhibit( bool  flag )
{
	if ( flag )
	{
		this -> rdbuf( &null_buffer );
	}
	else
	{
		this -> rdbuf( std::cout.rdbuf() );
	}
}

int    debugstream::printf( const char *  fmt , ... )
{
	if ( this -> rdbuf() != &null_buffer )
	{
		va_list	ap;
		va_start( ap , fmt );

		int	ret;
		ret = vprintf( static_cast<const char *>( fmt ) , ap );
		fflush( stdout );

		va_end( ap );

		return( ret );
	}

	return( 0 );
}

} // end of namespace Debug_Stream
