#ifndef	   LINER_RANDOM_GENERATOR_H_INCLUDED
#define	   LINER_RANDOM_GENERATOR_H_INCLUDED

// Author:		H. Shimora
// Created:		Jul  5 2001

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.00  Jul  5 2001    base version.
//
//

#include  "random_generator.h"
#include  <climits>

class  Liner_Random_Generator : public Random_Generator
{
protected:
	unsigned long	seed;

public:
		 Liner_Random_Generator( unsigned long  seed = 1 )
			 : seed( seed ) {}
	virtual	~Liner_Random_Generator() {}

	virtual	unsigned long	max() const
	{
		return( LONG_MAX >> 8 );
	}

	virtual	unsigned long	random()
	{
		seed = (seed * 1103515245 + 12345) % (LONG_MAX + 1);

		return( seed >> 8 );
	}
};


#endif	/* LINER_RANDOM_GENERATOR_H_INCLUDED */
