#ifndef	   PLAYER_TYPE_MANAGER_H_INCLUDED
#define	   PLAYER_TYPE_MANAGER_H_INCLUDED

// Author:		H. Shimora
// Created:		Feb  9 2001
// Version:		0.00

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.00  Feb  9 2001    base version.
//
//

#include  "sserver_param.h"
#include  "server_raw_info.h"
#include  <vector>

class  Player_Type_Manager
{
private:
	const SServer_Param &	param;

	std::vector< ref_count_ptr<const Server_Raw_Player_Type_Info> >	types;

public:
		 Player_Type_Manager( const SServer_Param & );
		~Player_Type_Manager();

	void	register_server_param
		 ( const ref_count_ptr<const Server_Raw_Server_Param_Info> & );

	void	register_player_param
		 ( const ref_count_ptr<const Server_Raw_Player_Param_Info> & );

	void	register_player_type
		 ( const ref_count_ptr<const Server_Raw_Player_Type_Info> & );

public:
	bool	valid() const;

	int	n_type() const;

	ref_count_ptr<const Server_Raw_Player_Type_Info>
						get_type( int  id ) const;

};


#endif	/* PLAYER_TYPE_MANAGER_H_INCLUDED */
