#ifndef	   DEBUG_CLIENT_CONNECTION_H_INCLUDED
#define	   DEBUG_CLIENT_CONNECTION_H_INCLUDED

// Author:		H. Shimora
// Last-Modified:	Feb  5 2001
// Created:		May 25 2000
// Version:		0.20

//------------------------------------------------
// Change Log:
//------------------------------------------------
// version 0.10  May 25 2000    base version.
//
// version 0.20  Feb  5 2001	changed to Communication_Cannel base.
//
//

#include  "debug_server_connection.h"
#include  "communication_cannel.h"
#include  "udp_connection.h"
#include  "ip_address.h"
#include  <string>

class  Debug_Client_Connection
	: public Communication_Cannel<UDP_Connection>
{
public:
		 Debug_Client_Connection
		 ( const std::string &  host = "localhost" ,
		   port_number_t  port
				    = Debug_Server_Connection::DEFAULT_PORT ,
		   long  max_response = Communication_Cannel<UDP_Connection>
						::DEFAULT_MAX_RESPONCE_TIME );

	virtual	~Debug_Client_Connection();

	virtual	int	fd() const;
};


#endif	/* DEBUG_CLIENT_CONNECTION_H_INCLUDED */
