#include  "client_log_debug_message_supplyer.h"
#include  "comstream.h"
#include  <fcntl.h>
#include  <iostream>
#include  <fstream>
#include  <cstdlib>
#include  <algorithm>

Client_Log_Debug_Message_Supplyer::Client_Log_Debug_Message_Supplyer
		( const ref_count_ptr<Abstruct_Updator> &  updator ,
		  const ref_count_ptr<Abstruct_Updator::Callback> &  callback ,
		  const std::string &  file_name )
	: file( updator , callback , file_name )
{
}

Client_Log_Debug_Message_Supplyer::~Client_Log_Debug_Message_Supplyer()
{
}

void   Client_Log_Debug_Message_Supplyer::get( std::string *  debug_message )
{
	debug_message -> erase();

	if ( ! this -> file.eof() )
	{
		std::getline( this -> file.input_stream() , *debug_message );

		if ( ! (this -> file.input_stream())
		  || debug_message -> size() < 1
		  || (*debug_message)[0] != '%' )
		{
			debug_message -> erase();
		}
	}
}

bool   Client_Log_Debug_Message_Supplyer::responsive() const
{
	return( file.valid() && ! this -> file.eof() );
}
