#ifndef	   CLIENT_LOG_DEBUG_MESSAGE_SUPPLYER_H_INCLUDED
#define	   CLIENT_LOG_DEBUG_MESSAGE_SUPPLYER_H_INCLUDED

// Author:		H. Shimora
// Created:		Apr  8 2002
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  Apr  8 2002    base version.
//
//

#include  "file_reader.h"
#include  "abstruct_updator.h"
#include  "ref_count_ptr.h"
#include  <string>

class  Client_Log_Debug_Message_Supplyer
{
protected:
	File_Reader	file;

public:
		 Client_Log_Debug_Message_Supplyer
		     ( const ref_count_ptr<Abstruct_Updator> &  updator ,
		       const ref_count_ptr<Abstruct_Updator::Callback> &  c ,
		       const std::string &  file_name );

	virtual	~Client_Log_Debug_Message_Supplyer();

	virtual	void	get( std::string *  debug_message );

	virtual	bool	responsive() const;
};


#endif	/* CLIENT_LOG_DEBUG_MESSAGE_SUPPLYER_H_INCLUDED */
