#ifndef	   MONITOR_SUPPLYER_H_INCLUDED
#define	   MONITOR_SUPPLYER_H_INCLUDED

// Author:		H. Shimora
// Created:		May 18 2001
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  May 18 2001    base version.
//
//

#include  "monitor_view_supplyer.h"
#include  "sserver_monitor_connection.h"
#include  "abstruct_updator.h"
#include  <string>

class  Monitor_Supplyer : public Interactive_Monitor_View_Supplyer
{
protected:
	SServer_Monitor_Connection	connection;
	int				protocol_version;
	ref_count_ptr<Abstruct_Updator>	updator;

public:
		 Monitor_Supplyer
		     ( const ref_count_ptr<Abstruct_Updator> &  u ,
		       const ref_count_ptr<Abstruct_Updator::Callback> &  c ,
		       const std::string &  host_name ,
		       port_number_t  server_port ,
		       int  protocol_version );

	virtual	~Monitor_Supplyer();

	virtual	ref_count_ptr<const Monitor_View_Data>
		get( bool *  have_s_param ,
		     SServer_Monitor_Log_Format::server_param_t *  s_param );

	virtual	bool	responsive() const;

	virtual	int	send_start();
	virtual	int	send_foul( double  x ,  double  y ,  S_Side_LR  side );
};


#endif	/* MONITOR_SUPPLYER_H_INCLUDED */
