#ifndef	   MONITOR_VIEW_SUPPLYER_H_INCLUDED
#define	   MONITOR_VIEW_SUPPLYER_H_INCLUDED

// Author:		H. Shimora
// Created:		May 18 2001
// Version:		0.00

///-----------------------------------------------
/// Change Log:
///-----------------------------------------------
// version 0.00  May 18 2001    base version.
//
//

#include  "monitor_view_data.h"
#include  "sserver_monitor_log_format.h"
#include  "abstruct_updator.h"
#include  "ref_count_ptr.h"
#include  <vector>

class  Monitor_View_Supplyer
{
public:
	virtual	~Monitor_View_Supplyer()
	{
	}

	virtual	ref_count_ptr<const Monitor_View_Data>
			get( bool *  have_s_param ,
			     SServer_Monitor_Log_Format::server_param_t * )
	{
		*have_s_param = false;

		return( ref_count_ptr<const Monitor_View_Data>(0) );
	}

	virtual	bool	responsive() const
	{
		return( false );
	}
};


class  Interactive_Monitor_View_Supplyer : public Monitor_View_Supplyer
{
public:
	virtual	~Interactive_Monitor_View_Supplyer()
	{
	}

	virtual	int	send_start()
	{
		return( -1 );
	}

	virtual	int	send_foul( double  /* ball x */ ,
				   double  /* ball y */ ,
				   S_Side_LR  /* side */ )
	{
		return( -1 );
	}
};


#endif	/* MONITOR_VIEW_SUPPLYER_H_INCLUDED */
