#include  "stamina_gauge.h"

Stamina_Gauge::Stamina_Gauge( const Stamina_Gauge::Model &  m )
	: model( m ) , gauge()
{
	this -> pack_start( gauge , true );

	this -> gauge.set_show_text( true );

	this -> gauge.show();
}

Stamina_Gauge::~Stamina_Gauge()
{
}

void   Stamina_Gauge::display()
{
	double	rate = model.stamina() / model.stamina_max();

	if ( rate > 1.0 )
	{
		rate = 1.0;
	}
	else if ( rate < 0.0 )
	{
		rate = 0.0;
	}

	gauge.set_percentage( model.stamina() / model.stamina_max() );
}
